<template>
  <section class="menu_section">
    <div class="container">
      <div class="row">
        <div class="col-sm-12 pt-0 pb-0">
          <ul class="icon_links d-md-none">
            <li class="icon_list phone_mob_icon"><a :href="'tel:'+contact_phone_link"><span class="material-icons">call</span></a></li>
            <li class="icon_list"><a href="/cart/order-detail" replace><span
                  class="material-icons-outlined">shopping_cart</span><b>{{ cart_count }}</b></a></li>
                  <li class="icon_list menu_mob_icn"><a href="javascript:;" onclick="fnshowMenu()"><span
                    class="material-icons-round">menu</span></a></li>

          </ul>
          <div class="navbar">
            <div class="navbar-header">
              <nav id="navbar">
                <ul class="navbar-nav" v-if="category_options.length > 0">
                  <li class="dropdown has-sub-nav" v-for="(category, i) in category_options" :class="(category.child_categories.filter(xy=>xy.link_rewrite==current_slug).length>0 || category.link_rewrite==$route.params.parent_category) ? 'active_item' : ''"><a href="#"
                      class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false" replace="">{{
                        category.name }}</a>
                    <ul class="dropdown-menu dropdownhover-bottom" role="menu" v-if="category.child_categories.length > 0">
                      <li v-for="(child, x) in category.child_categories" :key="x" :id="child.link_rewrite" >
                        <a :href="`/${location}/${category.link_rewrite}/${child.link_rewrite}`">
                          <div class="menu_image"><img v-if="child.file_upload.length > 0"
                              :alt="(child.file_upload[0]['alt_text'] != null && child.file_upload[0]['alt_text'] != '') ? child.file_upload[0]['alt_text'] : child['name']"
                              :title="(child.file_upload[0]['title'] != null && child.file_upload[0]['title'] != '') ? child.file_upload[0]['title'] : child.name"
                              :src="`${options.storage_root}/${child.file_upload[0]['upload']['uploaded_path']}`" />

                          </div>
                          {{ child.name }}
                        </a>
                      </li>
                    </ul>
                  </li>
                </ul>
              </nav>
            </div>
          </div>
          <div id="header_search">
            <product-search></product-search>
          </div>
        </div>
      </div>
    </div>
  </section>
</template>
<script>
import options from '~/assets/options.js';
export default {
  components: {
    ProductSearch: () => import('./product-search.vue'),
  },
  data() {
    return {
      options: options,
      categories: this.$store.state.front_end_data.category_options,
      search: "",
      product_options: [],
      loading: false,
      product: null,
      category_options: this.$store.state.front_end_data.category_options,
      contact_phone: this.$store.state.front_end_data.contact_phone,
      location: this.$store.state.front_end_data.location_name,
      cart_count: this.$store.state.front_end_data.cart_count.count,
      current_slug : this.$route.params.child_or_product,
      contact_phone_link: this.$store.state.front_end_data.site_defaults.footer_contact_link,
    }
  },
  created() {
  },
  mounted() {
    this.$store.watch(() => this.$store.state.front_end_data, async () => {
      this.cart_count = this.$store.state.front_end_data.cart_count.count;
      this.location_name = this.$store.state.front_end_data.location_name;
    });
  },
  methods: {
    checkActiveItem(path) {
      let current_path = this.$route.path;
      if (current_path.includes(path)) {
        return 'active_item';
      }
      else {
        return "";
      }
    },
  }
}
</script>